<?php
# Movable Type (r) Open Source (C) 2001-2010 Six Apart, Ltd.
# This program is distributed under the terms of the
# GNU General Public License, version 2.
#
# $Id: function.mtadmincgipath.php 5151 2010-01-06 07:51:27Z takayama $

function smarty_function_mtadmincgipath($args, &$ctx) {
    // status: complete
    // parameters: none
    $path = $ctx->mt->config('AdminCGIPath');
    $path or $path = $ctx->mt->config('CGIPath');
    if (substr($path, 0, 1) == '/') {   # relative path
        $blog = $ctx->stash('blog');
        $host = $blog->site_url();
        if (!preg_match('!/$!', $host))
            $host .= '/';

        if (preg_match('!^(https?://[^/:]+)(:\d+)?/!', $host, $matches)) {
            $path = $matches[1] . $path;
        }
    }
    if (substr($path, strlen($path) - 1, 1) != '/')
        $path .= '/';
    return $path;
}
?>
